summaryrefslogtreecommitdiffstats
path: root/meta/recipes-support/gnupg
Commit message (Collapse)AuthorAgeFilesLines
* recipes-support: Add missing HOMEPAGE and DESCRIPTION for recipesMeh Mbeh Ida Delphine2021-03-021-0/+5
| | | | | | | Fixes: [YOCTO #13471] Signed-off-by: Ida Delphine <idadelm@gmail.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gnupg: upgrade 2.2.26 -> 2.2.27Wang Mingyu2021-01-151-1/+1
| | | | | Signed-off-by: Wang Mingyu <wangmy@cn.fujitsu.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gnupg: update 2.2.23 -> 2.2.26Alexander Kanavin2020-12-314-15/+13
| | | | | Signed-off-by: Alexander Kanavin <alex.kanavin@gmail.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gnupg: uprev 2.2.22 -> 2.2.23Saul Wold2020-09-101-1/+1
| | | | | | | | | | | | | | | | | | | | | | This addresses CVE-2020-25125 and provides some other minor updates and translations. Updated commits for reference: e234d04c3 Werner Koch Release 2.2.23 aeb8272ca Werner Koch gpg: Fix AEAD preference list overflow 038314665 Werner Koch po: auto update 1a4b0fd79 Yuri Chornoivan po: Update Ukrainian translation 93d10403a Jakub Bogusz po: Update Polish translation a8a8105bc Werner Koch po: Add key-check.c to the list of translatable sources. cad9955ac Petr Pisar po: Update Czech translation. 896c528ba Werner Koch gpg: Fix segv importing certain keys. 0a9665187 NIIBE Yutaka scd: Fix a regression for OpenPGP card. bcae9cd4e Nagy Ferenc László po: Minor update to the Hungarian translation. d2fe2ffd7 Werner Koch sm: Fix a bug in the rfc2253 parser f799b3ddb Werner Koch Post release updates Signed-off-by: Saul Wold <saul.wold@windriver.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gnupg: update 2.2.21 -> 2.2.22Alexander Kanavin2020-09-034-14/+12
| | | | | Signed-off-by: Alexander Kanavin <alex.kanavin@gmail.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gnupg: upgrade 2.2.20 -> 2.2.21Richard Purdie2020-07-183-15/+14
| | | | Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gnupg: upgrade 2.2.19 -> 2.2.20Wang Mingyu2020-03-251-2/+2
| | | | | Signed-off-by: Wang Mingyu <wangmy@cn.fujitsu.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gnupg: Read GNUPG_BINDIR from environment variables for nativesdkRobert Yang2020-02-151-4/+12
| | | | | | | | | | | | | There is already a relocate.patch for native which is used for reading GNUPG_BINDIR from environment variables, now also enable it for nativesdk. Otherwise, command like the following one doesn't work for nativesdk: $ gpg-connect-agent --homedir ../keys/ reloadagent /bye gpg-connect-agent: no running gpg-agent - starting '/opt/path/to/sysroots/x86_64-wrlinuxsdk-linux/usr/bin/gpg-agent' gpg-connect-agent: failed to start agent '/opt/path/sysroots/x86_64-wrlinuxsdk-linux/usr/bin/gpg-agent': No such file or directory Signed-off-by: Robert Yang <liezhi.yang@windriver.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gnupg: upgrade 2.2.17 -> 2.2.19Wang Mingyu2020-01-271-2/+2
| | | | | Signed-off-by: Wang Mingyu <wangmy@cn.fujitsu.com> Signed-off-by: Ross Burton <ross.burton@intel.com>
* gnupg/libksba/npth/pinentry: Add nativesdk to BBCLASSEXTENDHaris Okanovic2019-11-101-1/+1
| | | | | | | | | | | Enable nativesdk builds of gnupg and it's dependencies (libksba, npth, and pinentry) to fix builds of nativesdk-opkg. This is necessary on distribution which enable gpg signature verification in opkg and also build SDK images that include opkg. Signed-off-by: Haris Okanovic <haris.okanovic@ni.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gnupg: Split gpg and gpg-agent into a minimal gnupg-gpg packageHaris Okanovic2019-11-101-0/+15
| | | | | | | | | | | | | | Add minimal "gnupg-gpg" package containing just enough binaries to run gpg and gpg-agent. Add dependency in normal "gnupg" package to preserve old behavior. Some applications like opkg don't need all functionality provided by normal gnupg installations. This minimal package provides just enough functionality to verify and manage keys in opkg, in order to minimize disk overhead. Signed-off-by: Haris Okanovic <haris.okanovic@ni.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gnupg: Extend -native wrapper to fix gpgme-native's gpgconf problemsJason Wessel2019-09-151-0/+3
| | | | | | | | | | | | | | | | The gpg commit signing in ostree-native doesn't work properly when running from sstate. The ostree-native is linked with gpgme-native's libraries, which have calls into gpg. Ultimately it turned out the problem was that gpgme calls gpgconf and some of the other gnupg-native binaries directly. Not all the binaries have a wrapper which sets the environment variable GNUPG_BIN. Without this wrapper these binaries it gets the path assignment from the original compilation which causes a fault when running from sstate in a new tmp directory because these paths will not exist. Signed-off-by: Jason Wessel <jason.wessel@windriver.com> Signed-off-by: Ross Burton <ross.burton@intel.com>
* gnupg: upgrade 2.2.16 -> 2.2.17Anuj Mittal2019-07-111-3/+2
| | | | | | | | | Also fixes CVE-2019-13050. Announcement: https://lists.gnupg.org/pipermail/gnupg-announce/2019q3/000439.html Signed-off-by: Anuj Mittal <anuj.mittal@intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gnupg:upgrade 2.2.15 -> 2.2.16Zang Ruochen2019-06-191-2/+2
| | | | | | | -Upgrade from gnupg_2.2.15.bb to gnupg_2.2.16.bb. Signed-off-by: Zang Ruochen <zangrc.fnst@cn.fujitsu.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gnupg: update to 2.2.15Oleksandr Kravchuk2019-04-232-7/+10
| | | | | Signed-off-by: Oleksandr Kravchuk <open.source@oleksandr-kravchuk.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gnupg: upgrade 2.2.12 -> 2.2.13Richard Purdie2019-02-253-4/+4
| | | | Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gnupg: Do not apply -Woverride-init guard for gcc >= 9Khem Raj2018-12-274-5/+37
| | | | | Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gnupg: Upgrade to 2.2.12 releaseKhem Raj2018-12-273-6/+6
| | | | | Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gnupg: upgrade 2.2.10 -> 2.2.11Hongxu Jia2018-11-233-5/+5
| | | | | Signed-off-by: Hongxu Jia <hongxu.jia@windriver.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gnupg: upgrade 2.2.9 -> 2.2.10Hongxu Jia2018-11-133-6/+14
| | | | | Signed-off-by: Hongxu Jia <hongxu.jia@windriver.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gnupg: patch gnupg-native to allow path relocationRoss Burton2018-09-202-1/+87
| | | | | | | | | | | | GnuPG hard-codes $bindir etc and uses them to find the helper binaries, such as gpg-agent. This breaks if gnupg-native is reused from sstate for a different build directory and GPG signing of packages is required. Patch in getenv() checks for gnupg-native when returning the hardcoded paths, and create a wrapper script which overrides GNUPG_BINDIR. There are more paths that can be overridden, but this one is sufficient to make GnuPG work. Signed-off-by: Ross Burton <ross.burton@intel.com>
* gnupg: upgrade 2.2.8 -> 2.2.9Ross Burton2018-07-242-9/+6
| | | | | Signed-off-by: Ross Burton <ross.burton@intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gnupg: 2.2.5 -> 2.2.8Hongxu Jia2018-07-031-2/+2
| | | | | Signed-off-by: Hongxu Jia <hongxu.jia@windriver.com> Signed-off-by: Ross Burton <ross.burton@intel.com>
* gnupg: upgrade 2.2.4 -> 2.2.5Hongxu Jia2018-05-042-5/+6
| | | | | Signed-off-by: Hongxu Jia <hongxu.jia@windriver.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gnupg: add a patch to avoid native vs. host gpg-agent clashesAlexander Kanavin2018-01-262-0/+32
| | | | | Signed-off-by: Alexander Kanavin <alexander.kanavin@linux.intel.com> Signed-off-by: Ross Burton <ross.burton@intel.com>
* gnupg: enable native versionAlexander Kanavin2018-01-101-0/+2
| | | | | Signed-off-by: Alexander Kanavin <alexander.kanavin@linux.intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gnupg: upgrade to 2.2.4Alexander Kanavin2018-01-101-2/+2
| | | | | Signed-off-by: Alexander Kanavin <alexander.kanavin@linux.intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gnupg: 2.1.23 -> 2.2.0Hongxu Jia2017-09-011-2/+2
| | | | | | | https://lists.gnupg.org/pipermail/gnupg-announce/2017q3/000413.html Signed-off-by: Hongxu Jia <hongxu.jia@windriver.com> Signed-off-by: Ross Burton <ross.burton@intel.com>
* gnupg: 2.1.20 -> 2.1.23Hongxu Jia2017-08-236-42/+90
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | 1. COPYING.LIB: Rename to COPYING.LGPL3. https://git.gnupg.org/cgi-bin/gitweb.cgi?p=gnupg.git;a=commit;h=3419a339d9c4e800bf30e9021e05982d8c1021c1 2. Rebase patches: - pkgconfig.patch -> 0001 - use-pkgconfig-instead-of-npth-config.patch -> 0002 - dirmngr-uses-libgpg-error.patch -> 0003 - autogen.sh-fix-find-version-for-beta-checking.patch -> 0004 3. Fix gpg2 not found ... dnf -vy makecache |Cannot download 'http://192.168.7.1:33541': repomd.xml GPG signature verification error: gpgme_engine_check_version() error: Invalid crypto engine. ... The upstream install gpg by default and no gpg2 ... commit a69464b0b6dac88b360a13d3faf19dd7f2a0e02b Author: Werner Koch <wk@gnupg.org> Date: Sat Aug 5 14:39:32 2017 +0200 gpg: Install gpg by default under the name gpg. ... Add --enable-gpg-is-gpg2 to revert it. Signed-off-by: Hongxu Jia <hongxu.jia@windriver.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gnupg: fix floating dependancy on gnutlsSaul Wold2017-06-271-3/+2
| | | | | | | | | gunpg added TLS support to the dirmngr for 2.1.0, mostly we linked with gnutls and had the RDEPENDS for gnutls. Since we had TLS support continue enabling it by default. Signed-off-by: Saul Wold <sgw@linux.intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gnupg: upgrade from 2.1.18 to 2.1.20Choong YinThong2017-05-181-2/+2
| | | | | | Signed-off-by: Choong YinThong <yin.thong.choong@intel.com> Signed-off-by: Saul Wold <sgw@linux.intel.com> Signed-off-by: Ross Burton <ross.burton@intel.com>
* recipes: Move out stale GPLv2 versions to a seperate layeruninative-1.5Richard Purdie2017-03-079-543/+0
| | | | | | | | | | | | | | | | | | | | | | | | | | | | These are recipes where the upstream has moved to GPLv3 and these old versions are the last ones under the GPLv2 license. There are several reasons for making this move. There is a different quality of service with these recipes in that they don't get security fixes and upstream no longer care about them, in fact they're actively hostile against people using old versions. The recipes tend to need a different kind of maintenance to work with changes in the wider ecosystem and there needs to be isolation between changes made in the v3 versions and those in the v2 versions. There are probably better ways to handle a "non-GPLv3" system but right now having these in OE-Core makes them look like a first class citizen when I believe they have potential for a variety of undesireable issues. Moving them into a separate layer makes their different needs clearer, it also makes it clear how many of these there are. Some are probably not needed (e.g. mc), I also wonder whether some are useful (e.g. gmp) since most things that use them are GPLv3 only already. Someone could now more clearly see how to streamline the list of recipes here. I'm proposing we mmove to this separate layer for 2.3 with its future maintinership and testing to be determined in 2.4 and beyond. Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gnupg: 2.1.14 -> 2.1.18Hongxu Jia2017-02-151-4/+4
| | | | | | | Update LIC_FILES_CHKSUM md5 checksum, because "http" has been changed to "https". Signed-off-by: Hongxu Jia <hongxu.jia@windriver.com>
* gnupg: upgrade to 2.1.14Hongxu Jia2016-08-171-2/+2
| | | | | Signed-off-by: Hongxu Jia <hongxu.jia@windriver.com> Signed-off-by: Ross Burton <ross.burton@intel.com>
* gnugp: upgrade to 2.1.12Hongxu Jia2016-06-141-2/+2
| | | | | Signed-off-by: Hongxu Jia <hongxu.jia@windriver.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gnupg.org-hosted recipes: Change SRC_URI to https siteJussi Kukkonen2016-05-302-2/+3
| | | | | | | | | | | | | | | | https version seems more reliable and in an informal test fetching all gnupg recipes now takes <20% of the time it used to. Define GNUPG_MIRROR in bitbake.conf so future tweaks to this are easier. Replace some slower mirrors with the official ftp site and another from gnupg.org mirror list. Set UPSTREAM_CHECK_URI in all recipes that need it to "https://gnupg.org/download/index.html" as the directory listings are not up-to-date. Signed-off-by: Jussi Kukkonen <jussi.kukkonen@intel.com> Signed-off-by: Ross Burton <ross.burton@intel.com>
* gnupg: update to 2.1.11Alexander Kanavin2016-02-281-2/+2
| | | | | Signed-off-by: Alexander Kanavin <alexander.kanavin@linux.intel.com> Signed-off-by: Ross Burton <ross.burton@intel.com>
* gnupg: 2.1.7 -> 2.1.10Hongxu Jia2016-01-131-2/+5
| | | | | | | | | | Add PACKAGECONFIG for sqlite3 to avoid QA Warning ... WARNING: QA Issue: gnupg rdepends on libsqlite3, but it isn't a build dependency? [build-deps] ... Signed-off-by: Hongxu Jia <hongxu.jia@windriver.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* Add "CVE:" tag to current patches in OE-coreMariano Lopez2016-01-114-0/+4
| | | | | | | | | | | The currnet patches in OE-core doesn't have the "CVE:" tag, now part of the policy of the patches. This is patch add this tag to several patches. There might be patches that I miss; the tag can be added in the future. Signed-off-by: Mariano Lopez <mariano.lopez@linux.intel.com> Signed-off-by: Ross Burton <ross.burton@intel.com>
* meta: Drop now pointless manual -dbg packagingRichard Purdie2015-12-161-1/+0
| | | | | | | With the autodebug package generation logic, specifically setting FILES_${PN}-dbg isn't needed in most cases, we can remove them. Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gnupg: fix find-version for beta checkingWenzong Fan2015-11-162-0/+32
| | | | | | | | | | | | | | | | find-version always assumes that gnupg is beta if autogen.sh is run out of git-repo. This doesn't work for users whom just take release tarball and re-run autoconf in their local build dir. This fixes runtime issue: $gpg --list-sigs gpg: NOTE: THIS IS A DEVELOPMENT VERSION! gpg: It is only intended for test purposes and should NOT be gpg: used in a production environment or with production keys! Signed-off-by: Wenzong Fan <wenzong.fan@windriver.com> Signed-off-by: Ross Burton <ross.burton@intel.com>
* meta: Fix Upstream-Status statementsRoss Burton2015-09-121-1/+1
| | | | | | | | Fix a variety of problems such as typos, bad punctuations, or incorrect Upstream-Status values. Signed-off-by: Ross Burton <ross.burton@intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gnupg: 2.1.6 -> 2.1.7Robert Yang2015-08-301-2/+2
| | | | | | | | (From OE-Core rev: 78b159bf753c43c78bb0f283add7d447b96e08f1) Signed-off-by: Robert Yang <liezhi.yang@windriver.com> Signed-off-by: Ross Burton <ross.burton@intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gnupg: 2.1.5 -> 2.1.6Robert Yang2015-07-311-2/+2
| | | | | Signed-off-by: Robert Yang <liezhi.yang@windriver.com> Signed-off-by: Ross Burton <ross.burton@intel.com>
* gnupg: fix build of GPLv2 version of gnupg with gcc 5Andre McCurdy2015-07-161-0/+3
| | | | | | | | | | | | Force gcc's traditional handling of inline to avoid issues with gcc 5. Upstream gnupg has a more specific fix, however it was made after gnupg was relicensed to GPLv3 so may be unsafe to backport directly. http://git.gnupg.org/cgi-bin/gitweb.cgi?p=gnupg.git;a=commitdiff;h=5093bed27580e608de073bcc5953bd76b6b8b2de Signed-off-by: Andre McCurdy <armccurdy@gmail.com> Signed-off-by: Ross Burton <ross.burton@intel.com>
* gnupg: 2.1.4 -> 2.1.5Robert Yang2015-07-011-2/+2
| | | | | Signed-off-by: Robert Yang <liezhi.yang@windriver.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gnupg: 2.1.2 -> 2.1.4Robert Yang2015-05-292-6/+6
| | | | | | Updated dirmngr-uses-libgpg-error.patch. Signed-off-by: Robert Yang <liezhi.yang@windriver.com>
* gnupg: 2.1.1 -> 2.1.2Robert Yang2015-04-071-2/+2
| | | | | Signed-off-by: Robert Yang <liezhi.yang@windriver.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gnupg: upgrade to 2.1.1Hongxu Jia2015-01-231-2/+2
| | | | Signed-off-by: Hongxu Jia <hongxu.jia@windriver.com>
* gnupg: Upgrade to 2.1.0Saul Wold2015-01-074-17/+111
| | | | | | | | | Add patch to use pkg-config instead of npth-config and remove --without-curl as it's not used anymore. Also needed a patch to add libgpg-error to correctly build dirmngr Signed-off-by: Saul Wold <sgw@linux.intel.com>